Bug 14665

Summary: Problem while connecting an Oracle DB with the oracle thin Driver
Product: db Reporter: Martine Geiller <ssrmgl>
Component: CodeAssignee: Radko Najman <rnajman>
Status: CLOSED WORKSFORME QA Contact: issues <issues.netbeans.org>
Priority: P1 CC:
Version: 3.x   
Target Milestone: TBD   
Hardware: PC   
OS: Windows ME/2000   
Whiteboard:
Issue Type: DEFECT Exception Report:
Attachments: IDE Log File

Description Martine Geiller 2001-08-22 12:59:26 UTC
-------------------------------------------------------------------------------
>Log Session: Mittwoch, 22. August 2001 11.11 Uhr CEST
>System Info: 
  Product Version       = Forte for Java, CE v. 3.0 (Build 010523)
  IDE Versioning        = IDE/1 spec=1.2.1 impl=010523
  Operating System      = Windows NT version 4.0 running on x86
  Java; VM; Vendor      = 1.3.1; Java HotSpot(TM) Client VM 1.3.1-b24; Sun Microsystems Inc.
  Java Home             = C:\JDK13~1.1\jre
  System Locale         = de_CH (f4j_ce)
  Home Dir; Current Dir = C:\WINNT\Profiles\t114242; c:\forte4j
  IDE Install; User Dir = C:\forte4j; c:\EvaluateForte
  CLASSPATH             = 
C:\forte4j\lib\patches\openide-compat.jar;C:\forte4j\lib\locale\core_f4j.jar;C:\forte4j\lib\locale\core_f4j_ce.jar;C:\forte4j\lib\locale\openide_f4j.jar;C:\for
t
e4j\lib\core.jar;C:\forte4j\lib\openide-fs.jar;C:\forte4j\lib\openide-nodes.jar;C:\forte4j\lib\openide-util.jar;C:\forte4j\lib\openide.jar;C:\forte4j\lib\ext\bs
h
-1_0-fj.jar;C:\forte4j\lib\ext\cmd.jar;C:\forte4j\lib\ext\cosnaming.jar;C:\forte4j\lib\ext\dd2beans.jar;C:\forte4j\lib\ext\ddl.jar;C:\forte4j\lib\ext\fjscript.jar
;
C:\forte4j\lib\ext\fscontext.jar;C:\forte4j\lib\ext\idlcompilers.jar;C:\forte4j\lib\ext\jaas.jar;C:\forte4j\lib\ext\jaxp.jar;C:\forte4j\lib\ext\jh.jar;C:\forte4j\lib
\
ext\jndi.jar;C:\forte4j\lib\ext\ldap.jar;C:\forte4j\lib\ext\ldapbp.jar;C:\forte4j\lib\ext\logger.jar;C:\forte4j\lib\ext\nis.jar;C:\forte4j\lib\ext\openorb-1.0.2.j
a
r;C:\forte4j\lib\ext\parser.jar;C:\forte4j\lib\ext\pbembeddedeval.jar;C:\forte4j\lib\ext\providerutil.jar;C:\forte4j\lib\ext\regexp.jar;C:\forte4j\lib\ext\rmi-
e
xt.jar;C:\forte4j\lib\ext\rmiregistry.jar;C:\forte4j\lib\ext\sax2.jar;C:\forte4j\lib\ext\servlet.jar;C:\forte4j\lib\ext\xerces.jar;C:\forte4j\lib\ext\jdbc20x.zip;C
:
\JDK13~1.1\lib\dt.jar;C:\JDK13~1.1\lib\tools.jar
-------------------------------------------------------------------------------
[INFO] Loaded modules: org.netbeans.core/1 (1.0/unspec); com.sun.forte4j.modules.pointbase/1 (1.1/010523); org.apache.tools.ant.module/2 
(2.2.1/010523); org.netbeans.modules.autoupdate/1 (2.0/010523); org.netbeans.modules.clazz/1 (1.6.1/010523); org.netbeans.modules.db/1 
(1.3/010523); com.sun.forte4j.modules.dbmodel.jdbcimpl/1 (1.1/010523); org.netbeans.modules.debugger.core/2 (2.0.1/010523); 
org.netbeans.modules.applet/1 (1.6.1/010523); org.netbeans.modules.debugger.debug/1 (1.8.1/010523); org.netbeans.modules.debugger.jpda/1 
(1.8.1/010523); org.netbeans.modules.editor/1 (1.7.1/010523); org.netbeans.modules.corba.idl.editor/1 (1.1/010523); 
org.netbeans.modules.filecopy/1 
(1.3/010523); org.netbeans.modules.html/1 (1.7.1/010523); org.netbeans.modules.httpserver/1 (1.6.1/010523); org.netbeans.modules.extbrowser/1 
(0.2.1/010523); org.netbeans.modules.icebrowser/1 (1.6.1/010523); org.netbeans.modules.image/1 (1.6.1/010523); 
org.netbeans.modules.jarpackager/2 (1.6.1/010523); org.netbeans.modules.java/1 (1.6.1/010523); org.netbeans.modules.beans/1 (1.6.1/010523); 
org.netbeans.modules.corba/1 (1.3/010523); org.netbeans.modules.form/2 (1.6.1/010523); org.netbeans.modules.javadoc/1 (1.6.1/010523); 
org.netbeans.modules.jndi/1 (1.4/010523); org.netbeans.modules.logger/1 (1.2/010523); com.sun.forte4j.modules.depclass/1 (1.0/010523); 
org.netbeans.modules.objectbrowser/1 (1.6.1/010523); org.netbeans.modules.projects/1 (1.6.1/010523); org.netbeans.modules.properties/1 
(1.6.1/010523); org.netbeans.modules.i18n/1 (1.7/010523); org.netbeans.modules.i18n.form/2 (1.7/010523); org.netbeans.modules.jdbc/1 
(1.1/010523); org.netbeans.modules.properties.syntax/1 (1.6.1/010523); org.netbeans.modules.text/1 (1.6.1/010523); 
org.netbeans.modules.usersguide/1 (1.7.1/010523); org.openidex.util/1 (1.7.1/010523); org.netbeans.modules.j2eeserver/1 (1.1.1/010523); 
org.netbeans.modules.utilities/1 (1.6.1/010523); com.sun.forte4j.j2ee.lib/1 (0.2/010523); org.netbeans.modules.apisupport.lite/1 (0.1.1/010523); 
org.netbeans.modules.rmi/1 (1.3.1/010523); org.netbeans.modules.vcscore/1 (1.4.1/010523); org.netbeans.modules.cvsclient/1 (1.3.1/010523); 
org.netbeans.modules.vcs.advanced/1 (1.4.1/010523); org.netbeans.modules.vcs.cmdline/1 (1.7.1/010523)
Creating samples directory c:\EvaluateForte\sampledir
Adding samples directory c:\EvaluateForte\sampledir to Filesystems.
*********** Exception occurred ************
Wed Aug 22 11:12:12 CEST 2001: org.openide.filesystems.FSException:  Root C:\EvaluateForte\Development does not exist.
Annotation: Type= 3, name = {netbeans.user}/Development
org.openide.filesystems.FSException: Root C:\EvaluateForte\Development does not exist.
	at org.openide.filesystems.FSException.io(FSException.java:66)
	at org.openide.filesystems.LocalFileSystem.setRootDirectory(LocalFileSystem.java:95)
	at org.netbeans.core.ExLocalFileSystem.setRootDirectory(ExLocalFileSystem.java:259)
	at org.netbeans.core.ExLocalFileSystem.setRelativeDirectory(ExLocalFileSystem.java:217)
	at org.netbeans.core.ExLocalFileSystem.readObject(ExLocalFileSystem.java:285)
	at java.lang.reflect.Method.invoke(Native Method)
	at java.io.ObjectInputStream.invokeObjectReader(ObjectInputStream.java:2214)
	at java.io.ObjectInputStream.inputObject(ObjectInputStream.java:1411)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:386)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:236)
	at org.netbeans.modules.projects.content.XMLSupport.deserializeValue(XMLSupport.java:97)
	at org.netbeans.modules.projects.content.XMLSupport.decodeValue(XMLSupport.java:84)
[catch] at org.netbeans.modules.projects.content.XMLProjectContent$XMLDiffSet.addRaw(XMLProjectContent.java:407)
	at org.netbeans.modules.projects.content.HandlerDiffSet.startElement(HandlerDiffSet.java:157)
	at org.xml.sax.helpers.XMLReaderAdapter.startElement(XMLReaderAdapter.java:329)
	at org.apache.xerces.parsers.SAXParser.startElement(SAXParser.java:1376)
	at org.apache.xerces.validators.common.XMLValidator.callStartElement(XMLValidator.java:965)
	at org.apache.xerces.framework.XMLDocumentScanner.scanElement(XMLDocumentScanner.java:1858)
	at org.apache.xerces.framework.XMLDocumentScanner$ContentDispatcher.dispatch(XMLDocumentScanner.java:1234)
	at org.apache.xerces.framework.XMLDocumentScanner.parseSome(XMLDocumentScanner.java:381)
	at org.apache.xerces.framework.XMLParser.parse(XMLParser.java:952)
	at org.xml.sax.helpers.XMLReaderAdapter.parse(XMLReaderAdapter.java:223)
	at org.netbeans.modules.projects.content.XMLSupport.loadDiffSet(XMLSupport.java:253)
	at org.netbeans.modules.projects.content.XMLProjectContent.loadDiffSet(XMLProjectContent.java:259)
	at org.netbeans.modules.projects.content.XMLProjectContent.getRepository(XMLProjectContent.java:115)
	at org.netbeans.modules.projects.PSupport.updateRepository(PSupport.java:939)
	at org.netbeans.modules.projects.PSupport.projectOpen(PSupport.java:234)
	at org.netbeans.core.NbProjectOperation.setProject(NbProjectOperation.java:129)
	at org.netbeans.core.NbProjectOperation.setOpeningProject(NbProjectOperation.java:192)
	at org.netbeans.core.NbProjectOperation.openOrCreateProject(NbProjectOperation.java:178)
	at org.netbeans.core.NonGui.run(NonGui.java:495)
	at org.netbeans.core.Main.run(Main.java:187)
	at org.openide.TopManager.initializeTopManager(TopManager.java:120)
	at org.openide.TopManager.getDefault(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:274)
	at org.netbeans.core.TopThreadGroup.run(TopThreadGroup.java:90)
	at java.lang.Thread.run(Thread.java:484)
*********** Exception occurred ************
Wed Aug 22 11:12:14 CEST 2001: java.lang.ClassNotFoundException: org.netbeans.modules.web.core.jsploader.JspLoader
Annotation: Type= 2, name = org.netbeans.modules.web.core.jsploader.JspLoader
java.lang.ClassNotFoundException: org.netbeans.modules.web.core.jsploader.JspLoader
	at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
	at org.netbeans.core.MultiURLClassLoader.loadClass(MultiURLClassLoader.java:223)
	at org.netbeans.core.MultiURLClassLoader.loadClass(MultiURLClassLoader.java:140)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:253)
[catch] at org.netbeans.modules.projects.content.XMLProjectContent$XMLSettingsSet.setRawData(XMLProjectContent.java:581)
	at org.netbeans.modules.projects.content.XMLProjectContent.loadSettingsSet(XMLProjectContent.java:207)
	at org.netbeans.modules.projects.content.XMLProjectContent.getLoaderPool(XMLProjectContent.java:104)
	at org.netbeans.modules.projects.PSupport.projectOpen(PSupport.java:239)
	at org.netbeans.core.NbProjectOperation.setProject(NbProjectOperation.java:129)
	at org.netbeans.core.NbProjectOperation.setOpeningProject(NbProjectOperation.java:192)
	at org.netbeans.core.NbProjectOperation.openOrCreateProject(NbProjectOperation.java:178)
	at org.netbeans.core.NonGui.run(NonGui.java:495)
	at org.netbeans.core.Main.run(Main.java:187)
	at org.openide.TopManager.initializeTopManager(TopManager.java:120)
	at org.openide.TopManager.getDefault(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:274)
	at org.netbeans.core.TopThreadGroup.run(TopThreadGroup.java:90)
	at java.lang.Thread.run(Thread.java:484)
*********** Exception occurred ************
Wed Aug 22 11:12:14 CEST 2001: java.lang.ClassNotFoundException: org.netbeans.modules.web.core.jsploader.JspServletDataLoader
Annotation: Type= 2, name = org.netbeans.modules.web.core.jsploader.JspServletDataLoader
java.lang.ClassNotFoundException: org.netbeans.modules.web.core.jsploader.JspServletDataLoader
	at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
	at org.netbeans.core.MultiURLClassLoader.loadClass(MultiURLClassLoader.java:223)
	at org.netbeans.core.MultiURLClassLoader.loadClass(MultiURLClassLoader.java:140)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:253)
[catch] at org.netbeans.modules.projects.content.XMLProjectContent$XMLSettingsSet.setRawData(XMLProjectContent.java:581)
	at org.netbeans.modules.projects.content.XMLProjectContent.loadSettingsSet(XMLProjectContent.java:207)
	at org.netbeans.modules.projects.content.XMLProjectContent.getLoaderPool(XMLProjectContent.java:104)
	at org.netbeans.modules.projects.PSupport.projectOpen(PSupport.java:239)
	at org.netbeans.core.NbProjectOperation.setProject(NbProjectOperation.java:129)
	at org.netbeans.core.NbProjectOperation.setOpeningProject(NbProjectOperation.java:192)
	at org.netbeans.core.NbProjectOperation.openOrCreateProject(NbProjectOperation.java:178)
	at org.netbeans.core.NonGui.run(NonGui.java:495)
	at org.netbeans.core.Main.run(Main.java:187)
	at org.openide.TopManager.initializeTopManager(TopManager.java:120)
	at org.openide.TopManager.getDefault(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:274)
	at org.netbeans.core.TopThreadGroup.run(TopThreadGroup.java:90)
	at java.lang.Thread.run(Thread.java:484)
*********** Exception occurred ************
Wed Aug 22 11:12:14 CEST 2001: java.lang.ClassNotFoundException: org.netbeans.modules.web.core.ServletSettings
Annotation: Type= 2, name = org.netbeans.modules.web.core.ServletSettings
java.lang.ClassNotFoundException: org.netbeans.modules.web.core.ServletSettings
	at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
	at org.netbeans.core.MultiURLClassLoader.loadClass(MultiURLClassLoader.java:223)
	at org.netbeans.core.MultiURLClassLoader.loadClass(MultiURLClassLoader.java:140)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:253)
[catch] at org.netbeans.modules.projects.content.XMLProjectContent$XMLSettingsSet.setRawData(XMLProjectContent.java:581)
	at org.netbeans.modules.projects.content.XMLProjectContent.loadSettingsSet(XMLProjectContent.java:207)
	at org.netbeans.modules.projects.content.XMLProjectContent.getControlPanel(XMLProjectContent.java:93)
	at org.netbeans.modules.projects.PSupport.projectOpen(PSupport.java:246)
	at org.netbeans.core.NbProjectOperation.setProject(NbProjectOperation.java:129)
	at org.netbeans.core.NbProjectOperation.setOpeningProject(NbProjectOperation.java:192)
	at org.netbeans.core.NbProjectOperation.openOrCreateProject(NbProjectOperation.java:178)
	at org.netbeans.core.NonGui.run(NonGui.java:495)
	at org.netbeans.core.Main.run(Main.java:187)
	at org.openide.TopManager.initializeTopManager(TopManager.java:120)
	at org.openide.TopManager.getDefault(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:274)
	at org.netbeans.core.TopThreadGroup.run(TopThreadGroup.java:90)
	at java.lang.Thread.run(Thread.java:484)
*********** Exception occurred ************
Wed Aug 22 11:12:19 CEST 2001: java.lang.ClassNotFoundException: org.netbeans.modules.web.core.syntax.JSPPrintOptions
Annotation: Type= 2, name = org.openide.text.PrintSettings
java.lang.ClassNotFoundException: org.netbeans.modules.web.core.syntax.JSPPrintOptions
	at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
	at org.netbeans.core.MultiURLClassLoader.loadClass(MultiURLClassLoader.java:223)
	at org.netbeans.core.MultiURLClassLoader.loadClass(MultiURLClassLoader.java:140)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:253)
	at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:313)
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:195)
	at org.openide.util.io.NbObjectInputStream.resolveClass(NbObjectInputStream.java:50)
	at java.io.ObjectInputStream.inputClassDescriptor(ObjectInputStream.java:918)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:366)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:350)
	at java.io.ObjectInputStream.inputClassFields(ObjectInputStream.java:2263)
	at java.io.ObjectInputStream.defaultReadObject(ObjectInputStream.java:519)
	at org.openide.util.SharedClassObject$WriteReplace.readObject(SharedClassObject.java:474)
	at java.lang.reflect.Method.invoke(Native Method)
	at java.io.ObjectInputStream.invokeObjectReader(ObjectInputStream.java:2214)
	at java.io.ObjectInputStream.inputObject(ObjectInputStream.java:1411)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:386)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:236)
	at org.openide.util.io.NbMarshalledObject.get(NbMarshalledObject.java:88)
	at org.openide.options.ContextSystemOption.readExternal(ContextSystemOption.java:123)
	at org.openide.text.PrintSettings.readExternal(PrintSettings.java:115)
	at org.openide.util.SharedClassObject$WriteReplace.readObject(SharedClassObject.java:476)
	at java.lang.reflect.Method.invoke(Native Method)
	at java.io.ObjectInputStream.invokeObjectReader(ObjectInputStream.java:2214)
	at java.io.ObjectInputStream.inputObject(ObjectInputStream.java:1411)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:386)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:236)
	at org.netbeans.modules.projects.content.XMLSupport.deserializeValue(XMLSupport.java:97)
	at org.netbeans.modules.projects.content.XMLSupport.decodeValue(XMLSupport.java:84)
[catch] at org.netbeans.modules.projects.content.XMLProjectContent$XMLSettingsSet.read(XMLProjectContent.java:610)
	at org.netbeans.modules.projects.PSupport.projectOpen(PSupport.java:247)
	at org.netbeans.core.NbProjectOperation.setProject(NbProjectOperation.java:129)
	at org.netbeans.core.NbProjectOperation.setOpeningProject(NbProjectOperation.java:192)
	at org.netbeans.core.NbProjectOperation.openOrCreateProject(NbProjectOperation.java:178)
	at org.netbeans.core.NonGui.run(NonGui.java:495)
	at org.netbeans.core.Main.run(Main.java:187)
	at org.openide.TopManager.initializeTopManager(TopManager.java:120)
	at org.openide.TopManager.getDefault(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:274)
	at org.netbeans.core.TopThreadGroup.run(TopThreadGroup.java:90)
	at java.lang.Thread.run(Thread.java:484)
*********** Exception occurred ************
Wed Aug 22 11:12:19 CEST 2001: java.lang.ClassNotFoundException: org.netbeans.modules.web.core.syntax.JSPOptions
Annotation: Type= 2, name = org.netbeans.modules.editor.options.AllOptions
java.lang.ClassNotFoundException: org.netbeans.modules.web.core.syntax.JSPOptions
	at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
	at org.netbeans.core.MultiURLClassLoader.loadClass(MultiURLClassLoader.java:223)
	at org.netbeans.core.MultiURLClassLoader.loadClass(MultiURLClassLoader.java:140)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:253)
	at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:313)
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:195)
	at org.openide.util.io.NbObjectInputStream.resolveClass(NbObjectInputStream.java:50)
	at java.io.ObjectInputStream.inputClassDescriptor(ObjectInputStream.java:918)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:366)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:350)
	at java.io.ObjectInputStream.inputClassFields(ObjectInputStream.java:2263)
	at java.io.ObjectInputStream.defaultReadObject(ObjectInputStream.java:519)
	at org.openide.util.SharedClassObject$WriteReplace.readObject(SharedClassObject.java:474)
	at java.lang.reflect.Method.invoke(Native Method)
	at java.io.ObjectInputStream.invokeObjectReader(ObjectInputStream.java:2214)
	at java.io.ObjectInputStream.inputObject(ObjectInputStream.java:1411)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:386)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:236)
	at org.openide.util.io.NbMarshalledObject.get(NbMarshalledObject.java:88)
	at org.openide.options.ContextSystemOption.readExternal(ContextSystemOption.java:123)
	at org.netbeans.modules.editor.options.AllOptions.readExternal(AllOptions.java:111)
	at org.openide.util.SharedClassObject$WriteReplace.readObject(SharedClassObject.java:476)
	at java.lang.reflect.Method.invoke(Native Method)
	at java.io.ObjectInputStream.invokeObjectReader(ObjectInputStream.java:2214)
	at java.io.ObjectInputStream.inputObject(ObjectInputStream.java:1411)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:386)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:236)
	at org.netbeans.modules.projects.content.XMLSupport.deserializeValue(XMLSupport.java:97)
	at org.netbeans.modules.projects.content.XMLSupport.decodeValue(XMLSupport.java:84)
[catch] at org.netbeans.modules.projects.content.XMLProjectContent$XMLSettingsSet.read(XMLProjectContent.java:610)
	at org.netbeans.modules.projects.PSupport.projectOpen(PSupport.java:247)
	at org.netbeans.core.NbProjectOperation.setProject(NbProjectOperation.java:129)
	at org.netbeans.core.NbProjectOperation.setOpeningProject(NbProjectOperation.java:192)
	at org.netbeans.core.NbProjectOperation.openOrCreateProject(NbProjectOperation.java:178)
	at org.netbeans.core.NonGui.run(NonGui.java:495)
	at org.netbeans.core.Main.run(Main.java:187)
	at org.openide.TopManager.initializeTopManager(TopManager.java:120)
	at org.openide.TopManager.getDefault(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:274)
	at org.netbeans.core.TopThreadGroup.run(TopThreadGroup.java:90)
	at java.lang.Thread.run(Thread.java:484)
*********** Exception occurred ************
Wed Aug 22 11:12:20 CEST 2001: java.lang.ClassNotFoundException: org.netbeans.modules.web.core.execution.JakartaExecutor
Annotation: Type= 3, name = JSP Execution
java.lang.ClassNotFoundException: org.netbeans.modules.web.core.execution.JakartaExecutor
	at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
	at org.netbeans.core.MultiURLClassLoader.loadClass(MultiURLClassLoader.java:223)
	at org.netbeans.core.MultiURLClassLoader.loadClass(MultiURLClassLoader.java:140)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:253)
	at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:313)
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:195)
	at org.openide.util.io.NbObjectInputStream.resolveClass(NbObjectInputStream.java:50)
	at java.io.ObjectInputStream.inputClassDescriptor(ObjectInputStream.java:918)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:366)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:236)
	at java.io.ObjectInputStream.inputObject(ObjectInputStream.java:1186)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:386)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:236)
	at org.netbeans.modules.projects.content.XMLSupport.deserializeValue(XMLSupport.java:97)
	at org.netbeans.modules.projects.content.XMLSupport.decodeValue(XMLSupport.java:84)
[catch] at org.netbeans.modules.projects.content.XMLProjectContent$XMLDiffSet.addRaw(XMLProjectContent.java:407)
	at org.netbeans.modules.projects.content.HandlerDiffSet.startElement(HandlerDiffSet.java:157)
	at org.xml.sax.helpers.XMLReaderAdapter.startElement(XMLReaderAdapter.java:329)
	at org.apache.xerces.parsers.SAXParser.startElement(SAXParser.java:1376)
	at org.apache.xerces.validators.common.XMLValidator.callStartElement(XMLValidator.java:965)
	at org.apache.xerces.framework.XMLDocumentScanner.scanElement(XMLDocumentScanner.java:1858)
	at org.apache.xerces.framework.XMLDocumentScanner$ContentDispatcher.dispatch(XMLDocumentScanner.java:1234)
	at org.apache.xerces.framework.XMLDocumentScanner.parseSome(XMLDocumentScanner.java:381)
	at org.apache.xerces.framework.XMLParser.parse(XMLParser.java:952)
	at org.xml.sax.helpers.XMLReaderAdapter.parse(XMLReaderAdapter.java:223)
	at org.netbeans.modules.projects.content.XMLSupport.loadDiffSet(XMLSupport.java:253)
	at org.netbeans.modules.projects.content.XMLProjectContent.loadDiffSet(XMLProjectContent.java:259)
	at org.netbeans.modules.projects.content.XMLProjectContent.getServices(XMLProjectContent.java:126)
	at org.netbeans.modules.projects.PSupport.updateServices(PSupport.java:1038)
	at org.netbeans.modules.projects.PSupport.projectOpen(PSupport.java:252)
	at org.netbeans.core.NbProjectOperation.setProject(NbProjectOperation.java:129)
	at org.netbeans.core.NbProjectOperation.setOpeningProject(NbProjectOperation.java:192)
	at org.netbeans.core.NbProjectOperation.openOrCreateProject(NbProjectOperation.java:178)
	at org.netbeans.core.NonGui.run(NonGui.java:495)
	at org.netbeans.core.Main.run(Main.java:187)
	at org.openide.TopManager.initializeTopManager(TopManager.java:120)
	at org.openide.TopManager.getDefault(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:274)
	at org.netbeans.core.TopThreadGroup.run(TopThreadGroup.java:90)
	at java.lang.Thread.run(Thread.java:484)
OK, samples directory is still in Filesystems.
WARNING: C:\JDK13~1.1\jre\classes cannot be opened
org.openide.filesystems.FSException: Root C:\JDK13~1.1\jre\classes does not exist.
Warning: the JavaHelp topic ID org.openide.loaders.ClassNamePanel was not found.
Warning: the JavaHelp topic ID org.openide.loaders.ClassNamePanel was not found.
Warning: the JavaHelp topic ID org.openide.loaders.ClassNamePanel was not found.
-------------------------------------------------------------------------------
>Log Session: Mittwoch, 22. August 2001 12.48 Uhr CEST
>System Info: 
  Product Version       = Forte for Java, CE v. 3.0 (Build 010523)
  IDE Versioning        = IDE/1 spec=1.2.1 impl=010523
  Operating System      = Windows NT version 4.0 running on x86
  Java; VM; Vendor      = 1.3.1; Java HotSpot(TM) Client VM 1.3.1-b24; Sun Microsystems Inc.
  Java Home             = C:\JDK13~1.1\jre
  System Locale         = de_CH (f4j_ce)
  Home Dir; Current Dir = C:\WINNT\Profiles\t114242; c:\forte4j
  IDE Install; User Dir = C:\forte4j; c:\EvaluateForte
  CLASSPATH             = 
C:\forte4j\lib\patches\openide-compat.jar;C:\forte4j\lib\locale\core_f4j.jar;C:\forte4j\lib\locale\core_f4j_ce.jar;C:\forte4j\lib\locale\openide_f4j.jar;C:\for
t
e4j\lib\core.jar;C:\forte4j\lib\openide-fs.jar;C:\forte4j\lib\openide-nodes.jar;C:\forte4j\lib\openide-util.jar;C:\forte4j\lib\openide.jar;C:\forte4j\lib\ext\bs
h
-1_0-fj.jar;C:\forte4j\lib\ext\cmd.jar;C:\forte4j\lib\ext\cosnaming.jar;C:\forte4j\lib\ext\dd2beans.jar;C:\forte4j\lib\ext\ddl.jar;C:\forte4j\lib\ext\fjscript.jar
;
C:\forte4j\lib\ext\fscontext.jar;C:\forte4j\lib\ext\idlcompilers.jar;C:\forte4j\lib\ext\jaas.jar;C:\forte4j\lib\ext\jaxp.jar;C:\forte4j\lib\ext\jh.jar;C:\forte4j\lib
\
ext\jndi.jar;C:\forte4j\lib\ext\ldap.jar;C:\forte4j\lib\ext\ldapbp.jar;C:\forte4j\lib\ext\logger.jar;C:\forte4j\lib\ext\nis.jar;C:\forte4j\lib\ext\openorb-1.0.2.j
a
r;C:\forte4j\lib\ext\parser.jar;C:\forte4j\lib\ext\pbembeddedeval.jar;C:\forte4j\lib\ext\providerutil.jar;C:\forte4j\lib\ext\regexp.jar;C:\forte4j\lib\ext\rmi-
e
xt.jar;C:\forte4j\lib\ext\rmiregistry.jar;C:\forte4j\lib\ext\sax2.jar;C:\forte4j\lib\ext\servlet.jar;C:\forte4j\lib\ext\xerces.jar;C:\forte4j\lib\ext\classes.zip;C
:
\forte4j\lib\ext\classes102.zip;C:\forte4j\lib\ext\classes111.zip;C:\forte4j\lib\ext\classes12.zip;C:\forte4j\lib\ext\jdbc20x.zip;C:\forte4j\lib\ext\nls_chars
e
t11.zip;C:\forte4j\lib\ext\nls_charset12.zip;C:\JDK13~1.1\lib\dt.jar;C:\JDK13~1.1\lib\tools.jar
-------------------------------------------------------------------------------
[INFO] Loaded modules: org.netbeans.core/1 (1.0/unspec); com.sun.forte4j.modules.pointbase/1 (1.1/010523); org.apache.tools.ant.module/2 
(2.2.1/010523); org.netbeans.modules.autoupdate/1 (2.0/010523); org.netbeans.modules.clazz/1 (1.6.1/010523); org.netbeans.modules.db/1 
(1.3/010523); com.sun.forte4j.modules.dbmodel.jdbcimpl/1 (1.1/010523); org.netbeans.modules.debugger.core/2 (2.0.1/010523); 
org.netbeans.modules.applet/1 (1.6.1/010523); org.netbeans.modules.debugger.debug/1 (1.8.1/010523); org.netbeans.modules.debugger.jpda/1 
(1.8.1/010523); org.netbeans.modules.editor/1 (1.7.1/010523); org.netbeans.modules.corba.idl.editor/1 (1.1/010523); 
org.netbeans.modules.filecopy/1 
(1.3/010523); org.netbeans.modules.html/1 (1.7.1/010523); org.netbeans.modules.httpserver/1 (1.6.1/010523); org.netbeans.modules.extbrowser/1 
(0.2.1/010523); org.netbeans.modules.icebrowser/1 (1.6.1/010523); org.netbeans.modules.image/1 (1.6.1/010523); 
org.netbeans.modules.jarpackager/2 (1.6.1/010523); org.netbeans.modules.java/1 (1.6.1/010523); org.netbeans.modules.beans/1 (1.6.1/010523); 
org.netbeans.modules.corba/1 (1.3/010523); org.netbeans.modules.form/2 (1.6.1/010523); org.netbeans.modules.javadoc/1 (1.6.1/010523); 
org.netbeans.modules.jndi/1 (1.4/010523); org.netbeans.modules.logger/1 (1.2/010523); com.sun.forte4j.modules.depclass/1 (1.0/010523); 
org.netbeans.modules.objectbrowser/1 (1.6.1/010523); org.netbeans.modules.projects/1 (1.6.1/010523); org.netbeans.modules.properties/1 
(1.6.1/010523); org.netbeans.modules.i18n/1 (1.7/010523); org.netbeans.modules.i18n.form/2 (1.7/010523); org.netbeans.modules.jdbc/1 
(1.1/010523); org.netbeans.modules.properties.syntax/1 (1.6.1/010523); org.netbeans.modules.text/1 (1.6.1/010523); 
org.netbeans.modules.usersguide/1 (1.7.1/010523); org.openidex.util/1 (1.7.1/010523); org.netbeans.modules.j2eeserver/1 (1.1.1/010523); 
org.netbeans.modules.utilities/1 (1.6.1/010523); com.sun.forte4j.j2ee.lib/1 (0.2/010523); org.netbeans.modules.apisupport.lite/1 (0.1.1/010523); 
org.netbeans.modules.rmi/1 (1.3.1/010523); org.netbeans.modules.vcscore/1 (1.4.1/010523); org.netbeans.modules.cvsclient/1 (1.3.1/010523); 
org.netbeans.modules.vcs.advanced/1 (1.4.1/010523); org.netbeans.modules.vcs.cmdline/1 (1.7.1/010523)
WARNING: C:\JDK13~1.1\jre\classes cannot be opened
org.openide.filesystems.FSException: Root C:\JDK13~1.1\jre\classes does not exist.
*********** Exception occurred ************
Wed Aug 22 12:50:24 CEST 2001: java.lang.NumberFormatException: <49190>
java.lang.NumberFormatException: <49190>
	at java.lang.Integer.parseInt(Integer.java:414)
	at java.lang.Integer.parseInt(Integer.java:463)
	at oracle.sqlnet.SQLnet.Connect(SQLnet.java:195)
	at oracle.jdbc.ttc7.TTC7Protocol.connect(TTC7Protocol.java:1021)
	at oracle.jdbc.ttc7.TTC7Protocol.logon(TTC7Protocol.java:186)
	at oracle.jdbc.driver.OracleConnection.<init>(OracleConnection.java:127)
	at oracle.jdbc.driver.OracleDriver.getConnectionInstance(OracleDriver.java:170)
	at oracle.jdbc.driver.OracleDriver.connect(OracleDriver.java:148)
	at java.sql.DriverManager.getConnection(DriverManager.java:517)
	at java.sql.DriverManager.getConnection(DriverManager.java:177)
	at com.sun.forte4j.modules.dbmodel.jdbcimpl.wizard.DBSchemaConnectionPanel.stateChanged(DBSchemaConnectionPanel.java:507)
	at javax.swing.JTabbedPane.fireStateChanged(JTabbedPane.java:234)
	at javax.swing.JTabbedPane$ModelListener.stateChanged(JTabbedPane.java:179)
	at javax.swing.DefaultSingleSelectionModel.fireStateChanged(DefaultSingleSelectionModel.java:99)
	at javax.swing.DefaultSingleSelectionModel.setSelectedIndex(DefaultSingleSelectionModel.java:51)
	at javax.swing.JTabbedPane.setSelectedIndex(JTabbedPane.java:349)
	at javax.swing.plaf.basic.BasicTabbedPaneUI$MouseHandler.mousePressed(BasicTabbedPaneUI.java:1822)
	at java.awt.Component.processMouseEvent(Component.java:3712)
	at java.awt.Component.processEvent(Component.java:3544)
	at java.awt.Container.processEvent(Container.java:1164
Comment 1 Martine Geiller 2001-08-22 13:03:55 UTC
Created attachment 2269 [details]
IDE Log File
Comment 2 Jan Zajicek 2001-08-22 13:10:52 UTC
Ok, the last excepotion is from JDBC driver. Assigning to proper guys,
to check if we can avoid that or if the problem is in third party code.
Comment 3 Jan Zajicek 2001-09-26 10:37:17 UTC
Movind to the proper component.
Comment 4 Radko Najman 2001-10-02 11:47:57 UTC
Cannot reproduce. Could you send me a description how to reproduce it, 
please.
Comment 5 Radko Najman 2001-10-08 09:19:41 UTC
Cannot reproduce. Closing as WORKSFORME.
Comment 6 Martin Schovanek 2003-03-11 16:01:57 UTC
VERIFIED
Comment 7 Quality Engineering 2003-06-30 17:17:39 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo